window.addEventListener('DOMContentLoaded',()=>{
    const search = document.querySelector('#search')
    const tableContainer = document.querySelector('#results tbody')
    const resultContainer = document.querySelector('#resultsContainer')
    const errorContainer = document.querySelector('.errors-container')
    let search_criteria = '';
        if(search){
            search.addEventListener('input', event =>{
                search_criteria = event.target.value.toUpperCase()
                showResults()
            })
        }
        const searchData = async() => {
            let searchData = new FormData()
            searchData.append('search_criteria', search_criteria)
            try{
                const response = await fetch('search_data.php',{
                    method: 'POST',
                    body: searchData
                })
                return response.json()
            }catch(error){
                alert(`${'Hubo un error y no podemos procesar la solicitud en este momento. Razones: '}${error.message}`)
                console.log(error)
            }
        }
        //funcion para mostrar los datos
        const showResults =() =>{
            searchData()
            .then(dataResults =>{
                console.log(dataResults)
                tableContainer.innerHTML = ''
                if(typeof dataResults.data !== 'undefined' && !dataResults.data){
                    errorContainer.style.display = 'block'
                    errorContainer.querySelector('p').innerHTML = `
                    No hay resultados: <span class="bold">${search_criteria}</span>`
                    resultContainer.style.display = 'none'
                }else{
                    resultContainer.style.display = 'block'
                    errorContainer.style.display = 'none'
                    for (const author of dataResults){
                        const row = document.createElement('tr')
                        row.innerHTML = `
                        <td>${author.id}</td>
                        <td>${author.descripcion.toUpperCase().replace(search_criteria, '<span class="bold">$&</span>')}</td>
                        `
                        tableContainer.appendChild(row)
                    }

                }
            })
        }
})